/**
 * AGUA Copyright (C) 2023  Atix Labs
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import React from 'react';

export const BlockchainIcon = () => (
  <svg width="27" height="26" viewBox="0 0 27 26" fill="none" xmlns="http://www.w3.org/2000/svg">
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M12.8663 3.08787C13.2016 3.68383 12.9902 4.43872 12.3942 4.77395L5.28723 8.77163V17.3333C5.28723 18.017 4.73291 18.5713 4.04913 18.5713C3.36535 18.5713 2.81104 18.017 2.81104 17.3333V8.04754C2.81104 7.60025 3.05229 7.18773 3.44214 6.96844L11.1802 2.61576C11.7762 2.28053 12.5311 2.4919 12.8663 3.08787ZM15.0415 3.08787C15.3767 2.4919 16.1316 2.28053 16.7275 2.61576L24.4656 6.96844C24.8555 7.18773 25.0968 7.60025 25.0968 8.04754V17.3333C25.0968 18.017 24.5424 18.5713 23.8587 18.5713C23.1749 18.5713 22.6206 18.017 22.6206 17.3333V8.77163L15.5136 4.77395C14.9176 4.43872 14.7062 3.68383 15.0415 3.08787ZM4.82718 19.628C5.16241 19.0321 5.9173 18.8207 6.51326 19.1559L13.9539 23.3413L21.3945 19.1559C21.9905 18.8207 22.7454 19.0321 23.0806 19.628C23.4158 20.224 23.2045 20.9789 22.6085 21.3141L14.5609 25.8409C14.184 26.0529 13.7238 26.0529 13.3469 25.8409L5.29928 21.3141C4.70332 20.9789 4.49195 20.224 4.82718 19.628Z"
      fill="currentColor"
    />
    <path
      d="M12.0969 10.369L10.2397 11.4523V13.619V15.7856L12.0969 16.869L13.954 17.9523L15.8112 16.869L17.6683 15.7856V13.619V11.4523L15.8112 10.369L13.954 9.28564L12.0969 10.369Z"
      fill="white"
    />
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M13.3305 8.21651C13.716 7.99163 14.1927 7.99163 14.5782 8.21651L18.2925 10.3832C18.6728 10.6051 18.9067 11.0123 18.9067 11.4526V15.7859C18.9067 16.2263 18.6728 16.6335 18.2925 16.8554L14.5782 19.0221C14.1927 19.2469 13.716 19.2469 13.3305 19.0221L9.61621 16.8554C9.23584 16.6335 9.00195 16.2263 9.00195 15.7859V11.4526C9.00195 11.0123 9.23584 10.6051 9.61621 10.3832L13.3305 8.21651ZM13.9543 10.7193L11.4781 12.1637V15.0748L13.9543 16.5193L16.4305 15.0748V12.1637L13.9543 10.7193Z"
      fill="currentColor"
    />
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M13.9539 3.71436C14.6377 3.71436 15.192 4.26867 15.192 4.95245V9.28578C15.192 9.96956 14.6377 10.5239 13.9539 10.5239C13.2701 10.5239 12.7158 9.96956 12.7158 9.28578V4.95245C12.7158 4.26867 13.2701 3.71436 13.9539 3.71436Z"
      fill="currentColor"
    />
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M16.5935 14.8618C16.9328 14.2681 17.6891 14.0619 18.2828 14.4011L22.6161 16.8773C23.2098 17.2166 23.416 17.9729 23.0768 18.5666C22.7375 19.1602 21.9812 19.3665 21.3875 19.0273L17.0542 16.5511C16.4605 16.2118 16.2543 15.4555 16.5935 14.8618Z"
      fill="currentColor"
    />
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M11.3146 14.8618C11.6538 15.4555 11.4476 16.2118 10.8539 16.5511L6.52054 19.0273C5.92685 19.3665 5.17056 19.1602 4.83131 18.5666C4.49206 17.9729 4.69832 17.2166 5.29201 16.8773L9.62534 14.4011C10.219 14.0619 10.9753 14.2681 11.3146 14.8618Z"
      fill="currentColor"
    />
    <path
      d="M13.9543 4.95257C14.98 4.95257 15.8115 4.1211 15.8115 3.09542C15.8115 2.06975 14.98 1.23828 13.9543 1.23828C12.9286 1.23828 12.0972 2.06975 12.0972 3.09542C12.0972 4.1211 12.9286 4.95257 13.9543 4.95257Z"
      fill="white"
    />
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M13.9541 2.47619C13.6122 2.47619 13.3351 2.75335 13.3351 3.09524C13.3351 3.43713 13.6122 3.71429 13.9541 3.71429C14.296 3.71429 14.5732 3.43713 14.5732 3.09524C14.5732 2.75335 14.296 2.47619 13.9541 2.47619ZM10.8589 3.09524C10.8589 1.38579 12.2447 0 13.9541 0C15.6636 0 17.0494 1.38579 17.0494 3.09524C17.0494 4.80469 15.6636 6.19048 13.9541 6.19048C12.2447 6.19048 10.8589 4.80469 10.8589 3.09524Z"
      fill="currentColor"
    />
    <path
      d="M4.04953 21.0478C5.0752 21.0478 5.90667 20.2163 5.90667 19.1906C5.90667 18.165 5.0752 17.3335 4.04953 17.3335C3.02385 17.3335 2.19238 18.165 2.19238 19.1906C2.19238 20.2163 3.02385 21.0478 4.04953 21.0478Z"
      fill="white"
    />
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M4.04934 18.5714C3.70745 18.5714 3.43029 18.8486 3.43029 19.1905C3.43029 19.5323 3.70745 19.8095 4.04934 19.8095C4.39123 19.8095 4.66839 19.5323 4.66839 19.1905C4.66839 18.8486 4.39123 18.5714 4.04934 18.5714ZM0.954102 19.1905C0.954102 17.481 2.33989 16.0952 4.04934 16.0952C5.75879 16.0952 7.14458 17.481 7.14458 19.1905C7.14458 20.8999 5.75879 22.2857 4.04934 22.2857C2.33989 22.2857 0.954102 20.8999 0.954102 19.1905Z"
      fill="currentColor"
    />
    <path
      d="M23.8591 21.0478C24.8848 21.0478 25.7162 20.2163 25.7162 19.1906C25.7162 18.165 24.8848 17.3335 23.8591 17.3335C22.8334 17.3335 22.002 18.165 22.002 19.1906C22.002 20.2163 22.8334 21.0478 23.8591 21.0478Z"
      fill="white"
    />
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M23.8589 18.5714C23.517 18.5714 23.2399 18.8486 23.2399 19.1905C23.2399 19.5323 23.517 19.8095 23.8589 19.8095C24.2008 19.8095 24.478 19.5323 24.478 19.1905C24.478 18.8486 24.2008 18.5714 23.8589 18.5714ZM20.7637 19.1905C20.7637 17.481 22.1495 16.0952 23.8589 16.0952C25.5684 16.0952 26.9541 17.481 26.9541 19.1905C26.9541 20.8999 25.5684 22.2857 23.8589 22.2857C22.1495 22.2857 20.7637 20.8999 20.7637 19.1905Z"
      fill="currentColor"
    />
  </svg>
);
